LOBTest (jTDS API)
Keywords: net.sourceforge.jtds.test.LOBTest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class LOBTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.LOBTest

All Implemented Interfaces:
  junit.framework.Test

public class LOBTest
extends TestBase

Version:
  $Id: LOBTest.java,v 1.27.2.1 2009/07/25 12:57:37 ickzon Exp $

Nested Class Summary
`(package private) static class` | `LOBTest.RealInputStream` Implements an `InputStream` that only returns a limited number of bytes on read (less than the requested number of bytes).

Field Summary
`private static byte[]` | `blobData`
`private static java.lang.String` | `clobData`
`private static int` | `LOB_LENGTH`
`private static byte[]` | `newBlobData`
`private static java.lang.String` | `newClobData`

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`LOBTest(java.lang.String name)`

Method Summary
`private boolean` | `compare(byte[] b1, byte[] b2)` Compares long byte arrays.
`boolean` | `compare(java.lang.String s1, java.lang.String s2)` Compare long `String`s.
`private byte[]` | `getBlobTestData()`
`private java.lang.String` | `getClobTestData()`
`private byte[]` | `getNewBlobTestData()`
`private java.lang.String` | `getNewClobTestData()`
`static void` | `main(java.lang.String[] args)`
`void` | `testBlobEmpty()` Test for bug [1062395] Empty (but not null) blobs should return byte[0].
`void` | `testBlobGet1()` BLOB TESTS **
`void` | `testBlobGet2()`
`void` | `testBlobGetBytes1()` Test for bug [989399] blob.getBytes() from 0.
`void` | `testBlobGetBytes2()`
`void` | `testBlobGetBytes3()`
`void` | `testBlobLength1()`
`void` | `testBlobMethods()` Test for bug [1172405] BLOB/CLOB position methods fail.
`void` | `testBlobSet1()`
`void` | `testBlobSet2()`
`void` | `testBlobSet3()`
`void` | `testBlobSet4()`
`void` | `testBlobSet5()`
`void` | `testBlobSet6()`
`void` | `testBlobSet7()`
`void` | `testBlobSet8()` Test inserting from an `InputStream` that doesn't fill the buffer on `read()`.
`void` | `testBlobSetNull1()`
`void` | `testBlobSetNull10()`
`void` | `testBlobSetNull11()`
`void` | `testBlobSetNull2()`
`void` | `testBlobSetNull3()`
`void` | `testBlobSetNull4()` Test for bug [985956] Cannot setObject(null) on image.
`void` | `testBlobSetNull5()`
`void` | `testBlobSetNull6()`
`void` | `testBlobSetNull7()`
`void` | `testBlobSetNull8()`
`void` | `testBlobSetNull9()`
`void` | `testBlobTruncate1()`
`void` | `testBlobUpdate1()`
`void` | `testBlobUpdate2()`
`void` | `testBlobUpdate3()`
`void` | `testBlobUpdate4()`
`void` | `testBlobUpdate5()` Test Long blob manipulation including updates to the middle of the `Blob`.
`void` | `testClobCaching()`
`void` | `testClobEmpty()` Test for bug [1062395] Empty (but not null) blobs should return byte[0].
`void` | `testClobGet1()` CLOB TESTS **
`void` | `testClobGet2()`
`void` | `testClobGetSubString1()`
`void` | `testClobGetSubString2()`
`void` | `testClobGetSubString3()`
`void` | `testClobLength1()`
`void` | `testClobMethods()` Test for bug [1172405] BLOB/CLOB position methods fail.
`void` | `testClobSet1()`
`void` | `testClobSet2()`
`void` | `testClobSet3()`
`void` | `testClobSet4()`
`void` | `testClobSet5()`
`void` | `testClobSet6()`
`void` | `testClobSet7()`
`void` | `testClobSet8()`
`void` | `testClobSetNull1()`
`void` | `testClobSetNull10()`
`void` | `testClobSetNull11()`
`void` | `testClobSetNull12()`
`void` | `testClobSetNull13()`
`void` | `testClobSetNull14()`
`void` | `testClobSetNull2()`
`void` | `testClobSetNull3()`
`void` | `testClobSetNull4()`
`void` | `testClobSetNull5()`
`void` | `testClobSetNull6()`
`void` | `testClobSetNull7()`
`void` | `testClobSetNull8()`
`void` | `testClobSetNull9()`
`void` | `testClobTruncate1()`
`void` | `testClobUpdate1()`
`void` | `testClobUpdate2()`
`void` | `testClobUpdate3()`
`void` | `testClobUpdate4()`
`void` | `testClobUpdate5()`
`void` | `testClobUpdate6()` Test long `Clob` manipulation including indexed writes.
`void` | `testZeroLengthStreams()` Test for incorrect handling of zero length streams (bug [1096086] Zero length streams generate null values).

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOB_LENGTH

    private static final int LOB_LENGTH

See Also:
  Constant Field Values

### blobData

    private static final byte[] blobData

### newBlobData

    private static final byte[] newBlobData

### clobData

    private static final java.lang.String clobData

### newClobData

    private static final java.lang.String newClobData

Constructor Detail

### LOBTest

    public LOBTest(java.lang.String name)

Method Detail

### testBlobGet1

    public void testBlobGet1()
                      throws java.lang.Exception

  BLOB TESTS **

  Throws:
    `java.lang.Exception`

### testBlobGet2

    public void testBlobGet2()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet1

    public void testBlobSet1()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet2

    public void testBlobSet2()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet3

    public void testBlobSet3()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet4

    public void testBlobSet4()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet5

    public void testBlobSet5()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet6

    public void testBlobSet6()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet7

    public void testBlobSet7()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSet8

    public void testBlobSet8()
                      throws java.lang.Exception

  Test inserting from an `InputStream` that doesn't fill the buffer on `read()`.

  For bug #1008816 - "More data in stream ..." error when inserting an image.

  Throws:
    `java.lang.Exception` - if an error condition occurs

### testBlobUpdate1

    public void testBlobUpdate1()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobUpdate2

    public void testBlobUpdate2()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobUpdate3

    public void testBlobUpdate3()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobUpdate4

    public void testBlobUpdate4()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobUpdate5

    public void testBlobUpdate5()
                         throws java.lang.Exception

  Test Long blob manipulation including updates to the middle of the `Blob`.

  Throws:
    `java.lang.Exception`

### testBlobSetNull1

    public void testBlobSetNull1()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull2

    public void testBlobSetNull2()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull3

    public void testBlobSetNull3()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull4

    public void testBlobSetNull4()
                          throws java.lang.Exception

  Test for bug [985956] Cannot setObject(null) on image.

  Throws:
    `java.lang.Exception`

### testBlobSetNull5

    public void testBlobSetNull5()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull6

    public void testBlobSetNull6()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull7

    public void testBlobSetNull7()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull8

    public void testBlobSetNull8()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull9

    public void testBlobSetNull9()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull10

    public void testBlobSetNull10()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobSetNull11

    public void testBlobSetNull11()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobGetBytes1

    public void testBlobGetBytes1()
                           throws java.lang.Exception

  Test for bug [989399] blob.getBytes() from 0.

  Throws:
    `java.lang.Exception`

### testBlobGetBytes2

    public void testBlobGetBytes2()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobGetBytes3

    public void testBlobGetBytes3()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobLength1

    public void testBlobLength1()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobTruncate1

    public void testBlobTruncate1()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBlobEmpty

    public void testBlobEmpty()
                       throws java.lang.Exception

  Test for bug [1062395] Empty (but not null) blobs should return byte[0].

  Throws:
    `java.lang.Exception`

### testClobGet1

    public void testClobGet1()
                      throws java.lang.Exception

  CLOB TESTS **

  Throws:
    `java.lang.Exception`

### testClobGet2

    public void testClobGet2()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet1

    public void testClobSet1()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet2

    public void testClobSet2()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet3

    public void testClobSet3()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet4

    public void testClobSet4()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet5

    public void testClobSet5()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet6

    public void testClobSet6()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet7

    public void testClobSet7()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSet8

    public void testClobSet8()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate1

    public void testClobUpdate1()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate2

    public void testClobUpdate2()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate3

    public void testClobUpdate3()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate4

    public void testClobUpdate4()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate5

    public void testClobUpdate5()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobUpdate6

    public void testClobUpdate6()
                         throws java.lang.Exception

  Test long `Clob` manipulation including indexed writes.

  Throws:
    `java.lang.Exception`

### testClobSetNull1

    public void testClobSetNull1()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull2

    public void testClobSetNull2()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull3

    public void testClobSetNull3()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull4

    public void testClobSetNull4()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull5

    public void testClobSetNull5()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull6

    public void testClobSetNull6()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull7

    public void testClobSetNull7()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull8

    public void testClobSetNull8()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull9

    public void testClobSetNull9()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull10

    public void testClobSetNull10()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull11

    public void testClobSetNull11()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull12

    public void testClobSetNull12()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull13

    public void testClobSetNull13()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobSetNull14

    public void testClobSetNull14()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobGetSubString1

    public void testClobGetSubString1()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobGetSubString2

    public void testClobGetSubString2()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobGetSubString3

    public void testClobGetSubString3()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobLength1

    public void testClobLength1()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobTruncate1

    public void testClobTruncate1()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testClobEmpty

    public void testClobEmpty()
                       throws java.lang.Exception

  Test for bug [1062395] Empty (but not null) blobs should return byte[0].

  Throws:
    `java.lang.Exception`

### testClobCaching

    public void testClobCaching()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testZeroLengthStreams

    public void testZeroLengthStreams()
                               throws java.lang.Exception

  Test for incorrect handling of zero length streams (bug [1096086] Zero length streams generate null values).

  Throws:
    `java.lang.Exception`

### testBlobMethods

    public void testBlobMethods()
                         throws java.lang.Exception

  Test for bug [1172405] BLOB/CLOB position methods fail.

  Throws:
    `java.lang.Exception`

### testClobMethods

    public void testClobMethods()
                         throws java.lang.Exception

  Test for bug [1172405] BLOB/CLOB position methods fail.

  Throws:
    `java.lang.Exception`

### getBlobTestData

    private byte[] getBlobTestData()

### getNewBlobTestData

    private byte[] getNewBlobTestData()

### getClobTestData

    private java.lang.String getClobTestData()

### getNewClobTestData

    private java.lang.String getNewClobTestData()

### compare

    private boolean compare(byte[] b1,
                            byte[] b2)

  Compares long byte arrays.

### compare

    public boolean compare(java.lang.String s1,
                           java.lang.String s2)

  Compare long `String`s.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009